Skip to main content
Get bootstrap Device twin configuration
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

user defined device name for a device

Response

A successful response.

config
object

This is the response to a GET /api/v1/edgeDevice/config The EdgeDevConfig message carries all of the device's configuration from the controller to the device. The device will request these messages either periodically or as a result of some TBD notification. The message is assumed to be protected by a TLS session bound to the device certificate.

createdAt
string<date-time>
updatedAt
string<date-time>
readAt
string<date-time>
result
object
lastKnownStatus
object
pconfig
string
nextConfig
Next config (config which available for the device, but is not yet pushed to the device) Latest config (config which is generated, but not allowed to be pushed to the device due to config lock configured on the device) · object

This is the response to a GET /api/v1/edgeDevice/config The EdgeDevConfig message carries all of the device's configuration from the controller to the device. The device will request these messages either periodically or as a result of some TBD notification. The message is assumed to be protected by a TLS session bound to the device certificate.

nextConfigHash
string
latestConfig
object

This is the response to a GET /api/v1/edgeDevice/config The EdgeDevConfig message carries all of the device's configuration from the controller to the device. The device will request these messages either periodically or as a result of some TBD notification. The message is assumed to be protected by a TLS session bound to the device certificate.

latestConfigHash
string
localOperatorConsoleBlobList
Local Operator Console Blob Config · object